# -*- coding: utf-8 -*-
#
# Author: Ingelrest François (Athropos@gmail.com)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

import media

from mutagen.mp3 import MP3
from mutagen.id3 import ID3, ID3NoHeaderError


def readInfo(file):
    """
        Read information from a mp3 file
    """
    info = [file, 0, '', '', '', 0]

    try:
        mp3File = ID3(file)
    except ID3NoHeaderError:
        return info

    info[media.INFO_TRACKNUMBER] = int(str(mp3File['TRCK']).split('/')[0])   # Track format may sometimes be 01/08, 02/08...
    info[media.INFO_TITLE]       = str(mp3File['TIT2'])
    info[media.INFO_ALBUM]       = str(mp3File['TALB'])
    info[media.INFO_ARTIST]      = str(mp3File['TPE1'])
    info[media.INFO_LENGTH]      = int(MP3(file).info.length)

    return info
