# -*- coding: utf-8 -*-
#
# Author: Ingelrest François (Athropos@gmail.com)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

import modules, os.path

from tools                  import consts, playlist
from modules.threadedModule import ThreadedModule


class RestoreTracklist(ThreadedModule):
    """
        This module saves the tracklist upon exiting, and restore it upon starting
    """


    def __init__(self, wTree):
        """
            Constructor
        """
        ThreadedModule.__init__(self)
        self.filename = os.path.join(consts.dirCfg, 'saved-playlist.m3u')
        # Messages handled by this module
        modules.register(self, [modules.MSG_EVT_NEW_TRACKLIST, modules.MSG_EVT_APP_STARTED])


    # --== Message handler ==--


    def handleMsg(self, msg, params):
        """
            A message has been received
        """
        if msg == modules.MSG_EVT_NEW_TRACKLIST:
            playlist.save(params['files'], self.filename, False)
        elif msg == modules.MSG_EVT_APP_STARTED:
            files = playlist.load(self.filename)
            if files is not None:
                modules.postMsg(modules.MSG_CMD_TRACKLIST_SET, {'files': files, 'playNow': False, 'sortTracks': False})
