# -*- coding: utf-8 -*-
#
# Author: Ingelrest François (Athropos@gmail.com)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

import os.path


def save(files, playlist, useRelativePath):
    """
        Create a playlist with the given files
    """
    outFile = open(playlist, 'w')
    for file in files:
        if useRelativePath:
            (path, file) = os.path.split(file)
        outFile.write(file + '\n')
    outFile.close()


def load(playlist):
    """
        Return the list of files loaded from the given playlist, None if empty
    """
    if not os.path.exists(playlist):
        return None

    files        = []
    inFile       = open(playlist)
    (path, file) = os.path.split(playlist)
    for line in inFile:
        # Don't consider empty lines and comments
        line = line.strip()
        if len(line) != 0 and line[0] != '#':
            # Make sure it's an absolute path
            if line[0] != '/':
                line = os.path.join(path, line)
            files += [line]
    inFile.close()

    if len(files) == 0:
        return None
    return files
